Bug 73977 - ports/ftp/proftpd - fix fetch, download PGP signature
Summary: ports/ftp/proftpd - fix fetch, download PGP signature
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Haro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-15 17:20 UTC by jharris
Modified: 2004-11-16 08:54 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2004-11-15 17:20:31 UTC
	fix FETCHing (was totally unfetchable)
        eliminate dead, slow, and outdated MASTER_SITES
	download (and optionally check) PGP signature

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iD8DBQFBmOLUSypIl9OdoOMRAiPEAJ9hDzW6i5jiqAvDOEfBDjApgy7zhQCgqk2+
iMXQr4MdDPocDv+cSH0IdRU=
=/+Ct
-----END PGP SIGNATURE-------9cxPiCZ9jFW8FelepByVrdfqiDQUqRpUxoOupgdS35LEyMRU
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/ftp/proftpd/Makefile,v
retrieving revision 1.69
diff -u -r1.69 Makefile
--- Makefile	17 Oct 2004 21:43:54 -0000	1.69
+++ Makefile	15 Nov 2004 17:09:05 -0000
@@ -9,22 +9,16 @@
 PORTVERSION=	1.2.10
 PORTREVISION=	0
 CATEGORIES=	ftp
-MASTER_SITES=	ftp://ftp.proftpd.net/distrib/source/ \
-		ftp://ftp.stikman.com/pub/proftpd/ \
-		ftp://ftp.empora.de/pub/mirrors/ftp.proftpd.org/ \
-		ftp://ftp.fastorama.com/ \
-		ftp://ftp.middle-earth.it/proftpd/ \
-		ftp://ftp.dataguard.no/pub/proftpd/ \
-		ftp://spirit.bentel.sk/mirrors/Proftpd/ \
-		ftp://ftp.task.gda.pl/pub/proftpd/ \
-		ftp://mirror1.dataphone.se/pub/ProFTPD/ \
-		ftp://ftp.oss.eznetsols.org/proftpd/ \
-		ftp://ftp.ccp14.ac.uk/ccp14/ftp-mirror/programming/proftpd/ \
-		ftp://proftpd.networkedsystems.co.uk/ \
-		ftp://www.linuxceptional.com/proftpd/ \
-		ftp://ftp.ethereal.com/mirrors/ftp.proftpd.org/ \
-		ftp://mirror.cybercomm.nl/
+MASTER_SITES=	ftp://ftp.proftpd.org/distrib/source/ \
+		ftp://ftp.fastorama.com/mirrors/ftp.proftpd.org/distrib/source/ \
+		ftp://ftp.dataguard.no/ftp/pub/proftpd/distrib/source/ \
+		ftp://spirit.bentel.sk/mirrors/Proftpd/distrib/source/ \
+		ftp://proftpd.networkedsystems.co.uk/distrib/source/ \
+		ftp://ftp.ethereal.com/mirrors/ftp.proftpd.org/distrib/source/ \
+		ftp://mirror.cybercomm.nl/pub/proftpd/distrib/source/
 DISTNAME=	${PORTNAME}-1.2.10
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.asc
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER?=	mharo@FreeBSD.org
 COMMENT?=	Highly configurable ftp daemon
@@ -38,6 +32,8 @@
 		mod_tls.html mod_wrap.html ftpasswd.html
 PORTDOCS=	${PORTDOCSdoc} ${PORTDOCScontrib}
 
+USE_GPG?=	yes
+SIG_FILES=	${DISTNAME}${EXTRACT_SUFX}.asc
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 USE_BZIP2=	yes
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/ftp/proftpd/distinfo,v
retrieving revision 1.32
diff -u -r1.32 distinfo
--- distinfo	17 Oct 2004 04:45:43 -0000	1.32
+++ distinfo	15 Nov 2004 17:09:05 -0000
@@ -1,2 +1,3 @@
 MD5 (proftpd-1.2.10.tar.bz2) = 5feb4a7348e12faefc25e34fd92efdd6
 SIZE (proftpd-1.2.10.tar.bz2) = 920337
+MD5 (proftpd-1.2.10.tar.bz2.asc) = 5e065c7808546ee79f70d0ce903ce7d3
cvs server: Diffing files
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Thierry Thomas freebsd_committer 2004-11-15 17:37:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mharo


Over to the maintainer.
Comment 2 Michael Haro freebsd_committer 2004-11-16 08:53:07 UTC
State Changed
From-To: open->closed

committed, minus gpg stuff as it doesn't seem to be implemented yet.